local tech = data.raw.technology

if tech["automation-2"] then
	tech["automation-2"].prerequisites = {"automation"}
end

if tech["energy-shield-mk2-equipment"] then
	tech["energy-shield-mk2-equipment"].prerequisites = {
		"energy-shield-equipment",
		"battery"
	}
end

if tech["basic-exoskeleton-equipment"] then
	tech["basic-exoskeleton-equipment"].prerequisites = {
		"electric-engine",
		"solar-panel-equipment",
		"battery"
	}
end

if tech["fusion-reactor-equipment"] then
	tech["fusion-reactor-equipment"].prerequisites = {
		"solar-panel-equipment",
		"battery"
	}
end

if tech["character-logistic-slots-4"] then
	tech["character-logistic-slots-4"].prerequisites = {
		"character-logistic-slots-3",
		"alien-technology"
	}
end

if tech["logistic-robot-storage-2"] then
	tech["logistic-robot-storage-2"].prerequisites = {
		"logistic-robot-storage-1",
		"alien-technology"
	}
end

if tech["logistic-robot-speed-3"] then
	tech["logistic-robot-speed-3"].prerequisites = {
		"logistic-robot-speed-2",
		"alien-technology"
	}
end

if tech["research-effectivity-3"] then
	tech["research-effectivity-3"].prerequisites = {
		"research-effectivity-2",
		"battery"
	}
end

if tech["inserter-stack-size-bonus-3"] then
	tech["inserter-stack-size-bonus-3"].prerequisites = {
		"inserter-stack-size-bonus-2",
		"battery"
	}
end

if tech["inserter-stack-size-bonus-4"] then
	tech["inserter-stack-size-bonus-4"].prerequisites = {
		"inserter-stack-size-bonus-3",
		"alien-technology"
	}
end

if tech["effect-transmission"] then
	tech["effect-transmission"].prerequisites = {
		"advanced-electronics-2",
		"modules",
		"battery"
	}
end

if tech["power-armor"] then
	tech["power-armor"].prerequisites = {
		"armor-making-3",
		"electric-engine",
		"battery"
	}
end

if tech["speed-module-2"] then
	tech["speed-module-2"].prerequisites = {
		"speed-module",
		"battery"
	}
end

if tech["speed-module-3"] then
	tech["speed-module-3"].prerequisites = {
		"speed-module-2",
		"alien-technology"
	}
end

if tech["productivity-module-2"] then
	tech["productivity-module-2"].prerequisites = {
		"productivity-module",
		"battery"
	}
end

if tech["productivity-module-3"] then
	tech["productivity-module-3"].prerequisites = {
		"productivity-module-2",
		"alien-technology"
	}
end

if tech["effectivity-module-2"] then
	tech["effectivity-module-2"].prerequisites = {
		"effectivity-module",
		"battery"
	}
end

if tech["effectivity-module-3"] then
	tech["effectivity-module-3"].prerequisites = {
		"effectivity-module-2",
		"alien-technology"
	}
end

if tech["automation-3"] then
	tech["automation-3"].prerequisites = {
		"automation-2",
		"speed-module",
		"battery"
	}
end

if tech["advanced-oil-processing"] then
	tech["advanced-oil-processing"].prerequisites = {
		"oil-processing",
		"battery"
	}
end

if tech["electronics"] then
	tech["electronics"].prerequisites = {"logistics"}
end

if tech["advanced-electronics"] then
	tech["advanced-electronics"].prerequisites = {
		"electronics",
		"plastics"
	}
end

if tech["circuit-network"] then
	tech["circuit-network"].prerequisites = {
		"electronics",
		"steel-processing"
	}
end

if tech["logistics-3"] then
	tech["logistics-3"].prerequisites = {
		"automation-2",
		"logistics-2",
		"advanced-electronics",
		"battery"
	}
end

if tech["battery"] then
	tech["battery"].prerequisites = {
		"sulfur-processing",
		"advanced-electronics"
	}
end

if tech["electric-energy-distribution-2"] then
	tech["electric-energy-distribution-2"].prerequisites = {
		"electric-energy-distribution-1",
		"advanced-electronics",
		"battery"
	}
end

if tech["concrete"] then
	tech["concrete"].prerequisites = {
		"advanced-material-processing-2",
		"automation-2"
	}
end

if tech["construction-robotics"] then
	tech["construction-robotics"].prerequisites = {
		"circuit-network",
		"robotics",
		"flying"
	}
end

if tech["logistic-robotics"] then
	tech["logistic-robotics"].prerequisites = {
		"circuit-network",
		"robotics",
		"flying"
	}
end

if tech["solar-panel-equipment"] then
	tech["solar-panel-equipment"].prerequisites = {
		"armor-making-3",
		"solar-energy"
	}
end

if tech["electric-engine"] then
	tech["electric-engine"].prerequisites = {
		"advanced-electronics",
		"engine"
	}
end

if tech["flying"] then
	tech["flying"].prerequisites = {
		"electric-engine"
	}
end

if tech["power-armor-2"] then
	tech["power-armor-2"].prerequisites = {
		"power-armor",
		"speed-module-3",
		"effectivity-module-3"
	}
end

if tech["fluid-handling"] then
	tech["fluid-handling"].prerequisites = {
		"electric-engine"
	}
end

if tech["combat-robotics"] then
	tech["combat-robotics"].prerequisites = {
		"military-2",
		"flying",
		"robotics"
	}
end

if tech["explosive-rocketry"] then
	tech["explosive-rocketry"].prerequisites = {
		"rocketry",
		"battery"
	}
end

if tech["bullet-damage-4"] then
	tech["bullet-damage-4"].prerequisites = {
		"bullet-damage-3",
		"battery"
	}
end

if tech["bullet-damage-5"] then
	tech["bullet-damage-5"].prerequisites = {
		"bullet-damage-4",
		"alien-technology"
	}
end

if tech["bullet-speed-4"] then
	tech["bullet-speed-4"].prerequisites = {
		"bullet-speed-3",
		"battery"
	}
end

if tech["bullet-speed-5"] then
	tech["bullet-speed-5"].prerequisites = {
		"bullet-speed-4",
		"alien-technology"
	}
end

if tech["laser-turret-damage-4"] then
	tech["laser-turret-damage-4"].prerequisites = {
		"laser-turret-damage-3",
		"battery"
	}
end

if tech["laser-turret-damage-5"] then
	tech["laser-turret-damage-5"].prerequisites = {
		"laser-turret-damage-4",
		"alien-technology"
	}
end

if tech["laser-turret-speed-4"] then
	tech["laser-turret-speed-4"].prerequisites = {
		"laser-turret-speed-3",
		"battery"
	}
end

if tech["laser-turret-speed-5"] then
	tech["laser-turret-speed-5"].prerequisites = {
		"laser-turret-speed-4",
		"alien-technology"
	}
end

if tech["shotgun-shell-damage-4"] then
	tech["shotgun-shell-damage-4"].prerequisites = {
		"shotgun-shell-damage-3",
		"battery"
	}
end

if tech["shotgun-shell-damage-5"] then
	tech["shotgun-shell-damage-5"].prerequisites = {
		"shotgun-shell-damage-4",
		"alien-technology"
	}
end

if tech["shotgun-shell-speed-4"] then
	tech["shotgun-shell-speed-4"].prerequisites = {
		"shotgun-shell-speed-3",
		"battery"
	}
end

if tech["shotgun-shell-speed-5"] then
	tech["shotgun-shell-speed-5"].prerequisites = {
		"shotgun-shell-speed-4",
		"alien-technology"
	}
end

if tech["gun-turret-damage-4"] then
	tech["gun-turret-damage-4"].prerequisites = {
		"gun-turret-damage-3",
		"battery"
	}
end

if tech["gun-turret-damage-5"] then
	tech["gun-turret-damage-5"].prerequisites = {
		"gun-turret-damage-4",
		"alien-technology"
	}
end

if tech["gun-turret-speed-4"] then
	tech["gun-turret-speed-4"].prerequisites = {
		"gun-turret-speed-3",
		"battery"
	}
end

if tech["gun-turret-speed-5"] then
	tech["gun-turret-speed-5"].prerequisites = {
		"gun-turret-speed-4",
		"alien-technology"
	}
end

if tech["follower-robot-count-3"] then
	tech["follower-robot-count-3"].prerequisites = {
		"follower-robot-count-2",
		"battery"
	}
end

if tech["follower-robot-count-6"] then
	tech["follower-robot-count-6"].prerequisites = {
		"follower-robot-count-5",
		"alien-technology"
	}
end

-- Adjust "Defender Capsule" recipe.
local recipe = data.raw.recipe["defender-capsule"]
if recipe then
	-- Change Ingredients
	recipe.ingredients = {
		{"flying-robot-frame", 1},
		{"piercing-bullet-magazine", 2},
	}

	-- Change Time
	recipe.energy_required = nil
end

if tech["rocket-silo"] then
	tech["rocket-silo"].prerequisites = {
		"rocketry",
		"advanced-electronics-2",
		"rocket-speed-5",
		"speed-module-3",
		"productivity-module-3",
		"concrete",
		"electric-engine",
		"electric-energy-accumulators-1",
		"solar-energy"
	}
end